#include "types.i"
#include "defns.i"
#include "extern.i"

/*******************************************************************/
/*								                                                 */
/*		Calculate the accuracy of a decision tree			               */
/*								                                                 */
/*******************************************************************/

float TreeAccuracy(Tree T)
{
	int  i,errors=0;
	ClassNo Category();
	float accuracy=-1;

	ForEach(i,0,MaxItem)
	{
		if (Category(Item[i],T) != Class(Item[i])) errors++;
	}

	accuracy = (1-(float)errors/(float)(MaxItem+1))*100;

	return accuracy;
}
