#include "types.i"
#include "defns.i"
#include "extern.i"

/*******************************************************************/
/*								                                                 */
/*		Calculate the rank of a decision tree			                   */
/*								                                                 */
/*******************************************************************/

    TreeRank(Node)
/*  ---------  */
    Tree Node;
{
    short Rank=-1,MaxRank = 0;
		Boolean Unique=1;
    DiscrValue v;

    if ( Node->NodeType )
    {
			ForEach(v, 1, Node->Forks)
			{
	    	if ((Rank = TreeRank(Node->Branch[v])) == MaxRank) 
					Unique = 0;
				else if (Rank > MaxRank)
				{
					MaxRank = Rank;
					Unique = 1;
				} 	
			}
    }

		if (Unique) 
			return MaxRank;
		else
			return MaxRank+1;
}
