{ console_f.p
  External declaration of routines in console.p
}

procedure GotoXY (col,row: integer);
  { Move cursor to given column and row. }
  external;

procedure InsertLine;
  { Insert a new blank row at the current cursor position.
    Move rest of screen down one row. }
  external;

procedure DeleteLine;
  { Delete current row, move rest up one row. }
  external;

procedure ClearEOL;
  { Erase from cursor to end of line, inclusive. }
  external;

procedure ClearScreen;
  { Erase entire screen. }
  external;
