{ files_f.p
  External declarations for routines in files.p
}
function OpenTextFile (pathname: vstring; var f: text): boolean;
  { Opens the named file for reading.
    Returns true for success, false for failure.
  }
  external;

function WriteTextFile (pathname: vstring; var f: text): boolean;
  { Opens the named file for (re-)writing. The file may or may
    not exists before; if it exists, it is erased, then opened
    for writing.
    Returns true for success, false for failure.
  }
  external;

function NewTextFile (pathname: vstring; var f: text): boolean;
  { Creates a new file for writing.
    Returns true for success, false for failure.
    It is a failure if a file with the given name already
    exists, but the caller cannot distinguish this failure
    from other failures (e.g., no write permission to
    the directory).
  }
  external;
