{ scanline_d.p
  Constants and types for scanline.p
}

const
  Scan_maxLine   = Ed_maxLine;    { line length limit (buffered mode) }

type

  Scan_PositionType = record
    last : ScriptIndex;  { last script position used by program }
    mark : ScriptIndex;  { a marked position (eg. start of token) }
    tag  : vstring;      { for tracing and debugging. }
    end;

  { Note that a Scan_PositionType.last is the last position used by the
    application program, not the last position read from the editor.
    The last position read is the eol on the line last read. }
