program CountTokens (input, output);

#include "seed_p.h"

label 1;                   { for starting over }
var tokens: integer;       { the count }
    before: integer;       { count before the current line }
    here  : Lex_PositionType;  { checkpoint for token API }
begin
Seed_Init;                       { initialize Seed and the token API }
Lex_Store(here);                 { store checkpoint info (token API) }
1:                               { this is where we start over }
Lex_Restore(here);               { restore checkpoint }
tokens:= 0;
repeat  { process a line }
  before:= tokens;
  Lex_Next; if Lex_cancel then goto 1;
  while Lex_token.kind <> EolToken do begin
    tokens:= tokens+1;
    Lex_Next; if Lex_cancel then goto 1;
    end;
  if tokens <> before then begin { not an empty line }
    Ed_wrint(tokens);
    Ed_write(' tokens so far');
    Ed_writeln;
    end;
until tokens = before;  { no tokens on this line }
Ed_write('Done.'); Ed_writeln;
Lex_Next;         { wait for user to hit Return one more time }
  if Lex_cancel then goto 1;  { ... or to edit some input }
Seed_Fini;        { finalize and terminate Seed }
end.


