program Nesting (input, output);

#include "strings_d.p"
#include "edit_d.p"
#include "edit_f.p"
#include "scanline_d.p"
#include "scanline_f.p"

var dummy: boolean;

procedure Paren (level: integer; var ends: boolean);
  label 66;
  var
    here: Scan_PositionType;
    cc  : char;
  begin
  Scan_Store(here,'Paren');
  repeat
    ends:= false;
    repeat                { read input a char at a time }
      cc := Scan_Char(Scan_Next);  if Scan_cancel then goto 66;
      Scan_Mark;
      if cc = '.' then begin
        if level > 0 then begin
          Scan_Used;
          Ed_Write('There are still '); Ed_WrInt(level);
          Ed_Write(' open parentheses pending.');
          Scan_Error; goto 66;
          end
        else
          ends:= true
        end
      else if cc = '(' then begin
        Paren(level+1, ends);     if Scan_cancel then goto 66;
        end
      else if cc = ')' then begin
        if level = 0 then begin
          Scan_Used;
          Ed_Write('There is an excess of closing parens.');
          Scan_Error; goto 66;
          end
        end
      else if cc = Scan_eol then begin
        Scan_Used;
        Ed_WrInt(level); Ed_Write(': ');
        end;
    until (cc = ')') or ends;
    Scan_exit;
  66: if Scan_cancel then Scan_Restore(here);
  until Scan_done;
  end {Paren};

begin
Ed_Init; Scan_Init;

Ed_Write('0: ');
Paren(0, dummy);

Ed_Fini;
end.
