#ifndef H_TELA_SCANNER
#define H_TELA_SCANNER

/*                                                                            *\

	  TELA - Testing Environment for Learning Algorithms - version 1.995
    ==================================================================

		Module:       IO_scanner.h

		Contents:     Simple scanner routines for TELA I/O-server.							 

		Services:

		get_attr_token - get next token from attribute description	
		get_ex_token   - get next token from example description

		Author: Juho Rousu (1995,1996)
\*  																																					*/
   
#include "Alg_Database.h"

char *eatwhite(char *src);

t_separator_type get_attr_token(char *rest, int *len, char *nv_s, 
	char *tv_s,char *v_s,char *a_s, char *na_s, char *a_e_s, char *c_s);

int is_number(char c);

t_separator_type get_ex_token(FILE *exs_file,char *tok_buf,char exval_sep,
	char ex_sep, char *footer, char c_s);

#endif
