/* cseed.h
   Include header file for using Seed session editor, C version.
   You will usually include also one of the files seed_lexline.h
   or seed_scanline.h after this one, depending on which API your
   program uses.
*/

#if !defined(SEED_CINTERFACE)
#define SEED_CINTERFACE

#include "seed_strings.h"
#include "seed_edit.h"

void          program();
int           seed_stdout ();
void          seed_init (int argc, char *argv[]);
void          seed_fini (int status);

vstring      *vstring_c  (char *str);
vstring      *VS         (char *str);	/* Obsolete, = vstring_c */

#endif
