{ screen_d.p
  Constants and types for screen.p
}

const
  Sc_MaxRows =  80;   { at most this many rows per screen }
  Sc_MaxCols = 150;   { at most this many columns per row }

type

  Sc_result = (Sc_ok,           { operation succeeded }
               Sc_undefterm,    { no TERM environment variable }
               Sc_badtermcap,   { could not get termcap data }
               Sc_notermcap,    { required termcap capability missing }
               Sc_areawrong,    { screen area out of bounds }
               Sc_poswrong,     { cursor position out of bounds }
               Sc_scrollwrong,  { scroll region out of bounds }
               Sc_delwrong,     { delete-line outside scroll region }
               Sc_inswrong      { insert-        -"-                }
              );

 Sc_rowRange = record           { A range of screen rows. }
               top,bot: integer;
               end;

