#ifndef H_TELA_TESLA_EXEC_CMDS
#define H_TELA_TESLA_EXEC_CMDS

/*                                                                            *\

	  TELA - Testing Environment for Learning Algorithms - version 1.995
    ==================================================================

		Module:  TESLA_exec_cmds (part of TESLA command server)

		Contents: Algorithm execution commands of TESLA language

		Services:

		RUN_command   - executes a TESLA RUN-command
		TEST_command  - executes a TESLA TEST-command
		CV_command    - executes a TESLA CV-command


		Author: Juho Rousu (1995,1996)

\*                                                                            */

#include "UI_parsers.h"

int RUN_command(t_command cmd,int round);
int TEST_command(t_command cmd,int round);
int CV_command(t_command cmd, int round);

#endif
