#ifndef H_TELA_TESLA_INTERPRETER
#define H_TELA_TESLA_INTERPRETER

/*                                                                            *\

	  TELA - Testing Environment for Learning Algorithms - version 1.995
    ==================================================================

		Module:  			TESLA_interpreter 

		Contents:     The command interpreter of TELA

		Description:  Interprets TESLA-commands that user writes into the
									SEED session editor. Is responsible (jointly with SEED) 
									of the consistency between the SEED transcript and the 
									internal state of TELA.

		Services:

		TESLA_interpreter - interpret and execute TESLA commands

		Author: Juho Rousu (1995,1996)

\*                                                                            */

void TESLA_interpreter(int argc, char *argv[]);

#endif
